[本日志由 tiancao1001 于 2024-03-31 07:29 PM 编辑]
|
tiancao1001 于 2024-03-31 07:29 PM 发表评论:
#Const AutoCADorGrxCAD = "AutoCAD"
#If AutoCADorGrxCAD = "AutoCAD" Then
Imports Autodesk.AutoCAD.EditorInput
Imports Autodesk.AutoCAD.ApplicationServices
Imports Autodesk.AutoCAD.DatabaseServices
Imports Autodesk.AutoCAD.Geometry
Imports Autodesk.AutoCAD.Runtime
Imports Autodesk.AutoCAD.GraphicsInterface
Imports Autodesk.AutoCAD.PlottingServices
Imports Autodesk.AutoCAD.Windows
Imports Autodesk.AutoCAD.Windows.Palette
Imports Autodesk.AutoCAD.Colors
#ElseIf AutoCADorGrxCAD = "GrxCAD" Then
Imports GrxCAD.EditorInput
Imports GrxCAD.ApplicationServices
Imports GrxCAD.DatabaseServices
Imports GrxCAD.Geometry
Imports GrxCAD.Runtime
Imports GrxCAD.Windows
Imports GrxCAD.Internal
Imports GrxCAD.Windows.Palette
#ElseIf AutoCADorGrxCAD = "ZwCAD" Then
Imports ZwSoft.ZwCAD.EditorInput
Imports ZwSoft.ZwCAD.ApplicationServices
Imports ZwSoft.ZwCAD.DatabaseServices
Imports ZwSoft.ZwCAD.Geometry
Imports ZwSoft.ZwCAD.Runtime
Imports ZwSoft.ZwCAD.Windows
Imports ZwSoft.ZwCAD.GraphicsInterface
#End If
#If AutoCADorGrxCAD = "AutoCAD" Then
Imports AcCAD = Autodesk.AutoCAD
Imports AcWin = Autodesk.AutoCAD.Windows
Imports AcDoc = Autodesk.AutoCAD.ApplicationServices.Document
Imports AcApp = Autodesk.AutoCAD.ApplicationServices.Application
Imports AcDbs = Autodesk.AutoCAD.DatabaseServices
#ElseIf AutoCADorGrxCAD = "GrxCAD" Then
Imports AcCAD = GrxCAD
Imports AcWin = GrxCAD.Windows
Imports AcDoc = GrxCAD.ApplicationServices.Document
Imports AcApp = GrxCAD.ApplicationServices.Application
Imports AcDBs = GrxCAD.DatabaseServices
#ElseIf AutoCADorGrxCAD = "ZwCAD" Then
Imports AcCAD = ZwSoft.ZwCAD
Imports AcWin = ZwSoft.ZwCAD.Windows
Imports AcDoc = ZwSoft.ZwCAD.ApplicationServices.Document
Imports AcApp = ZwSoft.ZwCAD.ApplicationServices.Application
Imports AcDBs = ZwSoft.ZwCAD.DatabaseServices
#End If
Imports System
<Assembly: ExtensionApplication(GetType(TcOpenDwg.TcOpenDwg))>
Namespace TcOpenDwg
Public Class TcOpenDwg
Implements IExtensionApplication
Dim JiShi As New System.Diagnostics.Stopwatch
Sub Initialize() Implements IExtensionApplication.Initialize
AddHandler Application.DocumentManager.DocumentCreateStarted, AddressOf Application_DocumentCreateStarted
End Sub
Sub Terminate() Implements IExtensionApplication.Terminate
End Sub
Private Sub Application_DocumentCreateStarted(ByVal sender As Object,
ByVal e As DocumentCollectionEventArgs)
AddHandler e.Document.BeginDwgOpen, AddressOf Document_BeginDwgOpen
AddHandler e.Document.EndDwgOpen, AddressOf Document_EndDwgOpen
End Sub
Public Sub Document_BeginDwgOpen(ByVal senderObj As Object,
ByVal docBegClsEvtArgs As DrawingOpenEventArgs)
On Error Resume Next
MsgBox("图纸打开,计时开始 。")
JiShi.Start()
If Err.Number > 0 Then
MsgBox("Document_BeginDwgOpen Err:" & Err.Description)
Err.Clear()
End If
End Sub
Public Sub Document_EndDwgOpen(ByVal senderObj As Object,
ByVal docBegClsEvtArgs As DrawingOpenEventArgs)
On Error Resume Next
JiShi.Stop()
MsgBox("打开结束,耗时:" & JiShi.Elapsed.TotalMilliseconds & "毫秒")
If Err.Number > 0 Then
MsgBox("Document_EndDwgOpen Err:" & Err.Description)
Err.Clear()
End If
End Sub
End Class
End Namespace
#If AutoCADorGrxCAD = "AutoCAD" Then
Imports Autodesk.AutoCAD.EditorInput
Imports Autodesk.AutoCAD.ApplicationServices
Imports Autodesk.AutoCAD.DatabaseServices
Imports Autodesk.AutoCAD.Geometry
Imports Autodesk.AutoCAD.Runtime
Imports Autodesk.AutoCAD.GraphicsInterface
Imports Autodesk.AutoCAD.PlottingServices
Imports Autodesk.AutoCAD.Windows
Imports Autodesk.AutoCAD.Windows.Palette
Imports Autodesk.AutoCAD.Colors
#ElseIf AutoCADorGrxCAD = "GrxCAD" Then
Imports GrxCAD.EditorInput
Imports GrxCAD.ApplicationServices
Imports GrxCAD.DatabaseServices
Imports GrxCAD.Geometry
Imports GrxCAD.Runtime
Imports GrxCAD.Windows
Imports GrxCAD.Internal
Imports GrxCAD.Windows.Palette
#ElseIf AutoCADorGrxCAD = "ZwCAD" Then
Imports ZwSoft.ZwCAD.EditorInput
Imports ZwSoft.ZwCAD.ApplicationServices
Imports ZwSoft.ZwCAD.DatabaseServices
Imports ZwSoft.ZwCAD.Geometry
Imports ZwSoft.ZwCAD.Runtime
Imports ZwSoft.ZwCAD.Windows
Imports ZwSoft.ZwCAD.GraphicsInterface
#End If
#If AutoCADorGrxCAD = "AutoCAD" Then
Imports AcCAD = Autodesk.AutoCAD
Imports AcWin = Autodesk.AutoCAD.Windows
Imports AcDoc = Autodesk.AutoCAD.ApplicationServices.Document
Imports AcApp = Autodesk.AutoCAD.ApplicationServices.Application
Imports AcDbs = Autodesk.AutoCAD.DatabaseServices
#ElseIf AutoCADorGrxCAD = "GrxCAD" Then
Imports AcCAD = GrxCAD
Imports AcWin = GrxCAD.Windows
Imports AcDoc = GrxCAD.ApplicationServices.Document
Imports AcApp = GrxCAD.ApplicationServices.Application
Imports AcDBs = GrxCAD.DatabaseServices
#ElseIf AutoCADorGrxCAD = "ZwCAD" Then
Imports AcCAD = ZwSoft.ZwCAD
Imports AcWin = ZwSoft.ZwCAD.Windows
Imports AcDoc = ZwSoft.ZwCAD.ApplicationServices.Document
Imports AcApp = ZwSoft.ZwCAD.ApplicationServices.Application
Imports AcDBs = ZwSoft.ZwCAD.DatabaseServices
#End If
Imports System
<Assembly: ExtensionApplication(GetType(TcOpenDwg.TcOpenDwg))>
Namespace TcOpenDwg
Public Class TcOpenDwg
Implements IExtensionApplication
Dim JiShi As New System.Diagnostics.Stopwatch
Sub Initialize() Implements IExtensionApplication.Initialize
AddHandler Application.DocumentManager.DocumentCreateStarted, AddressOf Application_DocumentCreateStarted
End Sub
Sub Terminate() Implements IExtensionApplication.Terminate
End Sub
Private Sub Application_DocumentCreateStarted(ByVal sender As Object,
ByVal e As DocumentCollectionEventArgs)
AddHandler e.Document.BeginDwgOpen, AddressOf Document_BeginDwgOpen
AddHandler e.Document.EndDwgOpen, AddressOf Document_EndDwgOpen
End Sub
Public Sub Document_BeginDwgOpen(ByVal senderObj As Object,
ByVal docBegClsEvtArgs As DrawingOpenEventArgs)
On Error Resume Next
MsgBox("图纸打开,计时开始 。")
JiShi.Start()
If Err.Number > 0 Then
MsgBox("Document_BeginDwgOpen Err:" & Err.Description)
Err.Clear()
End If
End Sub
Public Sub Document_EndDwgOpen(ByVal senderObj As Object,
ByVal docBegClsEvtArgs As DrawingOpenEventArgs)
On Error Resume Next
JiShi.Stop()
MsgBox("打开结束,耗时:" & JiShi.Elapsed.TotalMilliseconds & "毫秒")
If Err.Number > 0 Then
MsgBox("Document_EndDwgOpen Err:" & Err.Description)
Err.Clear()
End If
End Sub
End Class
End Namespace
发表评论 - 不要忘了输入验证码哦! |